package router

import (
	"jannex/telegram-bot-manager/routers/api/v1/notification"
	"jannex/telegram-bot-manager/routers/api/v1/status"
	"jannex/telegram-bot-manager/routers/api/v1/verifycode"

	"github.com/gofiber/fiber/v2"
)

func SetupRoutes(app *fiber.App) {
	v1 := app.Group("/v1")

	vc := v1.Group("/verifycode")
	vc.Get("/:userId", verifycode.GetVerifyCode)
	vc.Delete("/:userId", verifycode.DeleteVerifiedUser)

	n := v1.Group("/notification")
	n.Post("/", notification.SendNotification)

	s := v1.Group("/status")
	s.Get("/:userId", status.UserVerified)

	app.Static("/", "./public/")
}
